curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/agent-datasets/{dataset_id}/test-cases \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input": true,
"output": true,
"metadata": null
}
],
"pagination": {
"page": 123,
"page_size": 123,
"has_next": true
}
}Retrieve all test cases (row-level values) in an agent dataset. Use to review dataset contents or export for analysis.
page_size defaults to 30, maximum 100.
curl --request GET \
--url https://api.example.com/api/v2/projects/{project_id}/agent-datasets/{dataset_id}/test-cases \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input": true,
"output": true,
"metadata": null
}
],
"pagination": {
"page": 123,
"page_size": 123,
"has_next": true
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
AgentTestCasesListResponse(data: list[server.api_routes.agent_datasets_api_v2.AgentTestCaseResponse], pagination: server.api_routes.api_v2_common.PaginationInfo)